Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class MediaTreatment

    java.lang.Object
      com.nortel.soa.oi.cct.types.MediaTreatment

    public class MediaTreatment

extends java.lang.Object

Java class for mediaTreatment complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="mediaTreatment">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="treatmentAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="treatmentTerminal" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="treatmentParameter" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="interruptible" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`MediaTreatment()`

Method Summary
`java.lang.String` | `getTreatmentAddress()` Gets the value of the treatmentAddress property.
`java.lang.String` | `getTreatmentParameter()` Gets the value of the treatmentParameter property.
`java.lang.String` | `getTreatmentTerminal()` Gets the value of the treatmentTerminal property.
`java.lang.String` | `getType()` Gets the value of the type property.
`boolean` | `isInterruptible()` Gets the value of the interruptible property.
`void` | `setInterruptible(boolean value)` Sets the value of the interruptible property.
`void` | `setTreatmentAddress(java.lang.String value)` Sets the value of the treatmentAddress property.
`void` | `setTreatmentParameter(java.lang.String value)` Sets the value of the treatmentParameter property.
`void` | `setTreatmentTerminal(java.lang.String value)` Sets the value of the treatmentTerminal property.
`void` | `setType(java.lang.String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaTreatment

    public MediaTreatment()

Method Detail

### getTreatmentAddress

    public java.lang.String getTreatmentAddress()

  Gets the value of the treatmentAddress property.

  Returns:
    possible object is `String`

### setTreatmentAddress

    public void setTreatmentAddress(java.lang.String value)

  Sets the value of the treatmentAddress property.

  Parameters:
    `value` - allowed object is `String`

### getTreatmentTerminal

    public java.lang.String getTreatmentTerminal()

  Gets the value of the treatmentTerminal property.

  Returns:
    possible object is `String`

### setTreatmentTerminal

    public void setTreatmentTerminal(java.lang.String value)

  Sets the value of the treatmentTerminal property.

  Parameters:
    `value` - allowed object is `String`

### getTreatmentParameter

    public java.lang.String getTreatmentParameter()

  Gets the value of the treatmentParameter property.

  Returns:
    possible object is `String`

### setTreatmentParameter

    public void setTreatmentParameter(java.lang.String value)

  Sets the value of the treatmentParameter property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public java.lang.String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(java.lang.String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### isInterruptible

    public boolean isInterruptible()

  Gets the value of the interruptible property.

### setInterruptible

    public void setInterruptible(boolean value)

  Sets the value of the interruptible property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.